
QGIS Application - Feature request #10837

Enable multi core rendering in Print Composer

2014-07-07 11:03 AM - Donovan Cameron

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19211

Description

It would be really nice if the Print Composer supported multi core rendering like the map canvas does.

This would speed up things quite a bit =)

History

#1 - 2016-11-06 01:12 AM - JW van Aalst

Although this feature request is well over 2 years old, I still heartily support it.

My largest-scale QGIS project (http://www.imergis.nl/asp/opentopo3200.asp) now requires 135 hours of rendering time (!).

When multi-core rendering is available in Print Composer, I suppose this could be improved significantly.

Is this very difficult to realize? I assumed that once the multithreaded rendering on screen worked, Print Composer would use this as well...

#2 - 2016-11-06 07:20 AM - Martin Dobias

There are reasons why multi-threaded rendering (MTR) is not enabled for print composer as of now... First of all, MTR makes use of images to store the

partial results of rendering, so the PDF/printer output would not have vector graphics anymore. Also, it has been found that there are extra troubles when

printing on windows (#10599)

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
